> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crossmint.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get IP Action

> Get an action by its id

**API scope required**: `nfts.create`

<Warning>This API is still under development. Contact support for early access.</Warning>


## OpenAPI

````yaml get /v1/ip/actions/{actionId}
openapi: 3.0.0
info:
  title: Crossmint Story API
  description: Crossmint Story API
  version: 1.0.0
  contact:
    name: Crossmint Support
    url: https://www.crossmint.com
    email: support@crossmint.com
servers:
  - url: https://staging.crossmint.com/api
    description: Staging environment (testnets)
security: []
tags: []
paths:
  /v1/ip/actions/{actionId}:
    get:
      tags:
        - IP Story Protocol
      summary: Get Action
      description: |-
        Get an action by its id

        **API scope required**: `nfts.create`
      operationId: StoryApiController-getAction-2
      parameters:
        - name: X-API-KEY
          in: header
          description: API key required for authentication
          required: true
          schema:
            type: string
        - name: actionId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Actions found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StoryActionsResponseDto'
components:
  schemas:
    StoryActionsResponseDto:
      type: object
      properties:
        id:
          type: string
        status: {}
      required:
        - id
        - status
      description: The response from the Story Actions API
      example:
        id: '123'
        status: success

````